#include "monitor.hpp"

#if defined(__clang__) || defined(__GNUC__)

    #include <cmath>

    #include <QtDebug>
    #include <QtGlobal>

    #include "log_tr.hpp"

Monitor::Monitor()
{
    qWarning(ltr("Creating monitor not implemented"));
}

bool Monitor::setBrightness(float)
{
    qWarning(ltr("Setting monitor brightness not implemented"));
    return false;
}

float Monitor::getBrightness()
{
    qWarning(ltr("Getting monitor brightness not implemented"));
    return NAN;
}

Monitor::operator bool() const
{
    qWarning(ltr("Checking monitor validity not implemented"));
    return false;
}

#endif
